Skip to content

Get the allowed LegalTag values

Request

Retrieve allowed values for the given data partition for LegalTag properties when creating a LegalTag. Allowed roles: users.datalake.viewers, users.datalake.editors, users.datalake.admins

Security
bearer
Headers
data-partition-idstringrequired

desired data partition id

curl -i -X GET \
  https://as5.api.enterprisedata.slb.com/api/legal/v1/legaltags:properties \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'data-partition-id: string'

Responses

Retrieved properties successfully.

Bodyapplication/json
countriesOfOriginobject

The values of all the allowed Countries of Origin with the ISO Alpha 2 code and country name.

otherRelevantDataCountriesobject

The values of all the allowed Other Relevant Data Countries with the ISO Alpha 2 code and country name.

securityClassificationsArray of strings, unique

The values of all the allowed Security Classifications.

exportClassificationControlNumbersArray of strings, unique

The name of all the allowed Export Classifications.

personalDataTypesArray of strings, unique

The name of all the allowed Personal Data Type values.

dataTypesArray of strings, unique

The name of all the allowed Data Type values.

Response
{ "countriesOfOrigin": { "property1": "string", "property2": "string" }, "otherRelevantDataCountries": { "property1": "string", "property2": "string" }, "securityClassifications": [ "string" ], "exportClassificationControlNumbers": [ "string" ], "personalDataTypes": [ "string" ], "dataTypes": [ "string" ] }